Bug 68150 - Autofs Init Script Improperly Identifies Maps
Autofs Init Script Improperly Identifies Maps
Product: Red Hat Public Beta
Classification: Retired
Component: bash (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Brock Organ
Depends On:
Blocks: 67217
  Show dependency treegraph
Reported: 2002-07-06 20:26 EDT by Ian Prowell
Modified: 2007-04-18 12:43 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-07-23 22:35:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ian Prowell 2002-07-06 20:26:53 EDT
Description of Problem:
Autofs file maps are being identified as maptype=program instead of
maptile=file.  This prevents autofs from being able to lookup mount points. 
This seems like an underlying problem in the command line interpreter because
the test in /etc/rc.d/init.d/autofs to determine the maptype looks correct, but
the result is not as expected.  eg.

[root@limbo root]# ls -l /etc/auto.master
-rw-r--r--    1 root     root           77 07-06 17:21 /etc/auto.master
[root@limbo root]# if [ -x /etc/auto.master ] ; then echo file_is_executable ; fi

Version-Release number of selected component (if applicable):

How Reproducible:

Steps to Reproduce:
1. Install Limbo
2. Try to setup a file based autofs map

Actual Results:
Not able to mount filesystems specified in autofs map

Expected Results:
Able to mount filesystenms specified in autofs map.

Additional Information:
Comment 1 Ian Prowell 2002-07-06 22:14:58 EDT
I am moving this bug to bash as downgrading to the version of bash in RedHat 7.2
(2.05-8) fixed the problem.  This is odd as my RedHat 7.3 machine does not have
the same problem, but using the version of bash from 7.3 exhibits the same
problamatic behavior.
Comment 2 Ian Prowell 2002-07-23 22:35:26 EDT
After a fair bit of pain I was able to apply the updates from the beta channel
on the RHN and this problem seems to be fixed.
Comment 3 Nalin Dahyabhai 2002-07-25 16:35:04 EDT
Great!  Marking as fixed in Raw Hide.

Note You need to log in before you can comment on or make changes to this bug.